Class Fox::FXGLShape

In: | FXGLShape.rb
Parent: | FXGLObject

OpenGL shape object.

### Shape drawing options

`SURFACE_SINGLESIDED`: | Single-sided [both sides same]
`SURFACE_DUALSIDED`: | Dual-sided surface
`SHADING_NONE`: | No light source
`SHADING_SMOOTH`: | Smooth shaded
`SHADING_FLAT`: | Flag shaded
`FACECULLING_OFF`: | No face culling
`FACECULLING_ON`: | Cull backward facing surfaces
`STYLE_SURFACE`: | Draw filled surfaces
`STYLE_WIREFRAME`: | Draw wire frame
`STYLE_POINTS`: | Draw as points
`STYLE_BOUNDBOX`: | Draw bounding box

### Message identifiers

`ID_SHADEOFF`: | x
`ID_SHADEON`: | x
`ID_SHADESMOOTH`: | x
`ID_TOGGLE_SIDED`: | x
`ID_TOGGLE_CULLING`: | x
`ID_STYLE_POINTS`: | x
`ID_STYLE_WIREFRAME`: | x
`ID_STYLE_SURFACE`: | x
`ID_STYLE_BOUNDINGBOX`: | x
`ID_FRONT_MATERIAL`: | x
`ID_BACK_MATERIAL`: | x

Methods

drawshape getMaterial new new setMaterial setRange

Attributes

position | [RW] | Position [FXVec]
tipText | [RW] | Tool tip message for this shape [String]

Public Class methods

new(x, y, z, opts) {|theGLShape| ...}

Construct with specified origin and options.

new(x, y, z, opts, front, back) {|theGLShape| ...}

Construct with specified origin, options and front and back materials.

Public Instance methods

drawshape(viewer)

Draws the shape in this GL viewer.

setMaterial(side, mtl)

Set the material for specified side, where side = 0 or 1 and mtl is an FXMaterial instance.

getMaterial(side)

Get the material for specified side (where side = 0 or 1).

setRange(box)

Set the range (an FXRange instance) for this shape.